libpkcs11-helper-devel-1.25.1-alt6.i586.rpm


Advertisement

Description

libpkcs11-helper-devel - Development files for pkcs11-helper

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libpkcs11-helper-devel-1.25.1-alt6.i586.rpm
Package name libpkcs11-helper-devel
Package version 1.25.1
Package release alt6
Package architecture i586
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 109.75 KB
Installed size 109.75 KB
This package contains header files and documentation necessary for developing
programs using the pkcs11-helper library.

Alternatives

Package Version Architecture Repository
libpkcs11-helper-devel-1.25.1-alt6.x86_64.rpm 1.25.1 x86_64 Classic
libpkcs11-helper-devel - - -

Requires

Name Value
/usr/lib/pkgconfig -
libpkcs11-helper = 1.25.1-alt6:sisyphus+225621.700.2.1
libssl-devel -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libpkcs11-helper-devel = 1.25.1-alt6:sisyphus+225621.700.2.1
pkcs11-helper-devel = 1.25.1-alt6
pkgconfig(libpkcs11-helper-1) = 1.25.1

Obsoletes

Name Value
pkcs11-helper-devel < 1.25.1-alt6

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libpkcs11-helper-devel-1.25.1-alt6.i586.rpm
Source Package libpkcs11-helper-1.25.1-alt6.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpkcs11-helper-devel rpm package:
    # sudo apt-get install libpkcs11-helper-devel

Files

Path
/usr/include/pkcs11-helper-1.0/pkcs11.h
/usr/include/pkcs11-helper-1.0/pkcs11h-certificate.h
/usr/include/pkcs11-helper-1.0/pkcs11h-core.h
/usr/include/pkcs11-helper-1.0/pkcs11h-data.h
/usr/include/pkcs11-helper-1.0/pkcs11h-def.h
/usr/include/pkcs11-helper-1.0/pkcs11h-engines.h
/usr/include/pkcs11-helper-1.0/pkcs11h-openssl.h
/usr/include/pkcs11-helper-1.0/pkcs11h-token.h
/usr/include/pkcs11-helper-1.0/pkcs11h-version.h
/usr/lib/libpkcs11-helper.so
/usr/lib/pkgconfig/libpkcs11-helper-1.pc
/usr/share/aclocal/pkcs11-helper-1.m4
/usr/share/man/man8/pkcs11-helper-1.8.xz

Changelog

2019-02-18 - Paul Wolneykien <manowar@altlinux.org> 1.25.1-alt6
- Pass the decrypt/unwrap/derive result code out of the decryptAny()
function.
2019-02-18 - Paul Wolneykien <manowar@altlinux.org> 1.25.1-alt5
- Really fix bad result code override.
2019-02-18 - Paul Wolneykien <manowar@altlinux.org> 1.25.1-alt4
- Fix: Don't override the bad result code of the key decrypt,
unwrap and derive operations.
2018-10-03 - Paul Wolneykien <manowar@altlinux.org> 1.25.1-alt3
- Build with GOST-derive patch. Generate it with gear.
- Deversify the KEK.
- GOST derive: Split the source on UKM and the public key.
- Define the GOST derive mechs.
- Add support for the KeyDerive operation.
2018-09-04 - Paul Wolneykien <manowar@altlinux.org> 1.25.1-alt2
- Add the option to build with LibreSSL (currently is off).
2018-08-31 - Alexey Shabalin <shaba@altlinux.org> 1.25.1-alt1
- 1.25.1
2018-03-24 - Paul Wolneykien <manowar@altlinux.org> 1.22.0-alt2
- Build with LibreSSL.
2017-11-10 - Alexey Shabalin <shaba@altlinux.ru> 1.22.0-alt1
- 1.22
2017-06-30 - Anton V. Boyarshinov <boyarsh@altlinux.org> 1.12.0-alt3.git20140427
- build with openssl, prevent acidental rebuilds with libressl
2015-12-28 - Alexey Shabalin <shaba@altlinux.ru> 1.12.0-alt2.git20140427
- fix build (drop BR: libpolarssl-devel)
- rename to libpkcs11-helper
- build with openssl support only

See Also

Package Description
libpki-0.8.9-alt3.git20180603.i586.rpm Library for PKI enabled application development
libpki-devel-0.8.9-alt3.git20180603.i586.rpm Header files and library for development with LibPKI
libpki-devel-static-0.8.9-alt3.git20180603.i586.rpm The PKI static library
libpki-tools-0.8.9-alt3.git20180603.i586.rpm Auxiliary tools for LibPKI
libplank-0.11.4-alt1.i586.rpm Library to build a elegant, simple, clean dock
libplank-devel-0.11.4-alt1.i586.rpm Library to build a elegant, simple, clean dock (development files)
libplankundo216-3.1.0-alt7.i586.rpm calligraplan library
libplanmain16-3.1.0-alt7.i586.rpm calligraplan library
libplanner-0.14.6-alt2.i586.rpm Libraries for planner
libplanner-devel-0.14.6-alt2.i586.rpm Libraries needed to develop for planner
libplanodf16-3.1.0-alt7.i586.rpm calligraplan library
libplanplugin16-3.1.0-alt7.i586.rpm calligraplan library
libplanprivate16-3.1.0-alt7.i586.rpm calligraplan library
libplanstore16-3.1.0-alt7.i586.rpm calligraplan library
libplanwidgets16-3.1.0-alt7.i586.rpm calligraplan library
Advertisement
Advertisement